/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.catalog;

import fr.tlse.irap.pt.client.component.DialogComponent;
import fr.tlse.irap.pt.client.controller.RootController;
import fr.tlse.irap.tool.radial.Radial;

public class RadialCatalogDialogBox {

	private static RadialCatalogComponent catalogController;

	public static RadialCatalogComponent getCatalogComponent() {
		if (catalogController == null) {
			catalogController = new RadialCatalogComponent();
			new DialogComponent(catalogController, RootController.stage, "CME Arrival Times Catalogue");

		}
		catalogController.getDialog().toFront();
		return catalogController;
	}

	//public static void show(Date startDate, boolean linkcatMode) {
	public static void show(Radial radial) {
		getCatalogComponent().initComponentWith(radial);	}

}